commit:     142fd50a988c4166436ca74703f1a7445b7996c7
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Mon Jun  5 05:25:36 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jun  5 05:32:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=142fd50a

gui-wm/hyprland: add 0.26.0

Signed-off-by: Julien Roy <julien <AT> jroy.ca>
Closes: https://github.com/gentoo/gentoo/pull/31218
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gui-wm/hyprland/Manifest               |  1 +
 gui-wm/hyprland/hyprland-0.26.0.ebuild | 91 ++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/gui-wm/hyprland/Manifest b/gui-wm/hyprland/Manifest
index e260df187271..9098268898f6 100644
--- a/gui-wm/hyprland/Manifest
+++ b/gui-wm/hyprland/Manifest
@@ -1 +1,2 @@
 DIST hyprland-0.25.0.gh.tar.gz 1510798 BLAKE2B 
c146c57e5142666ff76188e870ea4d2dd9613e25a1d2c3320dc222fbe62651975a40fffffe9cc936ced0e86f919534d7a6c94a8b1596f912c3ad9750a35e4f13
 SHA512 
84d12ef7bfb25e69c4a707a8ffc99ca23eb58e73630e3df1f134cb610c6206e42917f76b54db0cc6d10e7b929514cbac06dfc99feba8ff81aea0dc7fcb340450
+DIST hyprland-0.26.0.gh.tar.gz 1523005 BLAKE2B 
e54ebb73850f63427ff9347c7ad0cb2ffda3350baf3c4221de51b1094678f3ffdac67669f49bfe3ba416b627673f5ca8491d06e16791764ef1c39f5964f2b570
 SHA512 
b43639a8e0fdd60165b6caa51c9411bc6f97260690c5ee3d15126ef091ccf93955fdda904a226b4aeb4367785ecaba426882a2e9b726c2b79c81a2ede0f9e36a

diff --git a/gui-wm/hyprland/hyprland-0.26.0.ebuild 
b/gui-wm/hyprland/hyprland-0.26.0.ebuild
new file mode 100644
index 000000000000..71f645881c68
--- /dev/null
+++ b/gui-wm/hyprland/hyprland-0.26.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit meson toolchain-funcs
+
+DESCRIPTION="A dynamic tiling Wayland compositor that doesn't sacrifice on its 
looks"
+HOMEPAGE="https://github.com/hyprwm/Hyprland";
+
+SRC_URI="https://github.com/hyprwm/${PN^}/releases/download/v${PV}/source-v${PV}.tar.gz
 -> ${PF}.gh.tar.gz"
+S="${WORKDIR}/${PN}-source"
+
+KEYWORDS="~amd64"
+LICENSE="BSD"
+SLOT="0"
+IUSE="X legacy-renderer systemd video_cards_nvidia"
+
+RDEPEND="
+       app-misc/jq
+       dev-libs/glib:2
+       dev-libs/libinput:=
+       dev-libs/libliftoff
+       dev-libs/wayland
+       dev-libs/wayland-protocols
+       dev-util/glslang
+       dev-util/vulkan-headers
+       gui-libs/gtk-layer-shell
+       media-libs/libdisplay-info
+       media-libs/libglvnd[X?]
+       media-libs/mesa[gles2,wayland,X?]
+       media-libs/vulkan-loader
+       sys-auth/seatd:=
+       x11-base/xcb-proto
+       x11-libs/cairo
+       x11-libs/libdrm
+       x11-libs/libxkbcommon
+       x11-libs/pango
+       x11-libs/pixman
+       x11-misc/xkeyboard-config
+       virtual/libudev:=
+       X? (
+          gui-libs/wlroots[x11-backend]
+          x11-base/xwayland
+          x11-libs/libxcb:=
+          x11-libs/xcb-util-image
+          x11-libs/xcb-util-renderutil
+          x11-libs/xcb-util-wm
+       )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-libs/hyprland-protocols
+       >=dev-libs/wayland-1.22.0
+       dev-vcs/git
+       >=gui-libs/wlroots-0.16.0[X?]
+"
+
+src_prepare() {
+       if [[ $(tc-is-gcc) ]]; then
+               STDLIBVER=$(echo '#include <string>' | $(tc-getCXX) -x c++ -dM 
-E - | \
+                                       grep GLIBCXX_RELEASE | sed 
's/.*\([1-9][0-9]\)/\1/')
+               if ! [[ ${STDLIBVER} -ge 12 ]]; then
+                       die "Hyprland requires >=sys-devel/gcc-12.1.0 to build"
+               fi
+               elif [[ $(clang-major-version) -lt 16 ]]; then
+                       die "Hyprland requires >=sys-devel/clang-16.0.3 to 
build";
+               fi
+
+       if use video_cards_nvidia; then
+               cd "${S}/subprojects/wlroots" || die
+               eapply "${FILESDIR}/nvidia-0.25.0.patch"
+               cd "${S}" || die
+       fi
+
+       eapply_user
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature legacy-renderer legacy_renderer)
+               $(meson_feature X xwayland)
+               $(meson_feature systemd)
+       )
+
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install --skip-subprojects wlroots
+}

Reply via email to